<?php include('casa/setup.casa.php');
include('inc_scripts.php');
$title = 'Inventario de Productos duplicados';
echo "<title>".AppName.' - '.$title."</title>";
?>
<style>
th{background:#156E10;
color:white;
text-align:center;
text-transform:uppercase;}	
</style>
</head>
<body>
	<div class="wrapper">		
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $title?></h3>																																									
									</div>
								</div>
								
								<div class="card-body">		
																									
									<div class="table-responsive">
										<table id="add-row" class="display table table-striped table-hover" >
											<thead>
												<tr>							
													<th>producto</th>
													<th>piezas</th>													
													<th>precios</th>
													<th>detalles</th>
													<th>fotos</th>
													<th>opciones</TH>
												</tr>
											</thead>											
											<tbody>
											<?php
											$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi
											WHERE prod.ubica_codigo = ubi.ubica_codigo	
											AND prod.prod_duplicado<>''
											AND prod_estado = '1'										
											ORDER BY prod_id DESC;";	
											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											while($db->next()){						
											$i++;																													
												$prod_id = $db->dbField('prod_id');
												$ubica_codigo = $db->dbField('ubica_codigo');
													$ubica_nombre = $db->dbField('ubica_nombre');			
													$ubica_color = $db->dbField('ubica_color');												
												$prod_item = $db->dbField('prod_item');
												$prod_codigo = $db->dbField('prod_codigo');
												$prod_nombre = $db->dbField('prod_nombre');
												$prod_foto = $db->dbField('prod_foto');
													if(($prod_foto=='')or($prod_foto=='vacio')) $prod_foto = 'vacio.png';
												$prod_piezascaja = $db->dbField('prod_piezascaja');
												$prod_cantidadcajas = $db->dbField('prod_cantidadcajas');
												$prod_cantidadcajasmemo = $db->dbField('prod_cantidadcajasmemo');
												$prod_unidadesreal = $db->dbField('prod_unidadesreal');	
													$CantidadRealCajas = $prod_unidadesreal / $prod_piezascaja;											
												$prod_preciounitario = $db->dbField('prod_preciounitario');
												$prod_preciodocena = $db->dbField('prod_preciodocena');
												$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');
												$prod_fecha = $db->dbField('prod_fecha');												
												$prod_observaciones = $db->dbField('prod_observaciones');
												  if($prod_observaciones=='') $prod_observaciones='Sin Observaciones';

												/*$prod_tipo = $db->dbField('prod_tipo');
												  if($prod_tipo==1){
													$prod_piezascaja_real = $db->dbField('prod_piezascaja_real');	
													if($prod_piezascaja_real == 0) $prod_piezascaja_real = $prod_unidadesreal;
													$CantidadRealCajas = $prod_piezascaja_real / $prod_piezascaja;

													$CantUnidades = $prod_piezascaja_real;
													$CantCajas = $CantidadRealCajas;
												  }else{
													$NuevoUnidades = $prod_cantidadcajas*$prod_piezascaja;
													$CantUnidades = $NuevoUnidades;
													$CantCajas = $prod_cantidadcajas;													
												  }													  											
												  */
												$html.='<tr>';
												// //1 general, 2 destacados, 3 descuentos, 4 promocion
													$html.='<td><b>'.strtoupper($prod_nombre).'</b>
														<br><span style="background:'.$ubica_color.';padding:3px 7px;">'.str_replace(" ","&nbsp;",$ubica_nombre).'</span>
														<br><b>Item:&nbsp;</b>'.str_replace(" ","&nbsp;",$prod_item).'													
														</td>';
																							
												/*	$html.='<td>
													<b>Piezas&nbsp;Caja:&nbsp;</b>'.$prod_piezascaja.'<br>
													<b>Cantidad Cajas:&nbsp;</b>'. number_format($CantCajas,2).'<br>
													<b>Total Unidades:&nbsp;</b>'.$CantUnidades.'</td>';
													*/
													$html.='<td>
														<b>Piezas Caja:</b>'.$prod_piezascaja.'<br>
														<b>Cantidad&nbsp;Cajas:&nbsp;</b>'.number_format($CantidadRealCajas,2).'<br>
														<b>Total Piezas: </b>'.$prod_unidadesreal.'</td>';														
																									
													$html.='<td>
													<b>Unitario:&nbsp;</b>'.$prod_preciounitario.'<br>
													<b>Docena:&nbsp;</b>'.$prod_preciodocena.'<br>
													<b>Caja&nbsp;Docena:&nbsp;</b>'.$prod_preciocajadocena.'</td>';
													$html.='<td>Cantidad Inicial: '.$prod_cantidadcajasmemo.'
													<br>'.$prod_fecha.'</td>';
													$html.='<td align=center><a href='.PATH_HOME.'productos-fotos1/'.$prod_codigo.'>													
													<img src="'.PATH_HOME.'fotos/small_'.$prod_foto.'" height="100px"></a><br>
													'.$prod_observaciones.'</td>';
													$html.='<td align=center>
													<a class="btn btn-sm dropdown-toggle" data-toggle="dropdown" style="background:#156E10;color:white">
													<span class="btn-label"><i class="fa fa-cog"></i></span>
													</a><div class="dropdown-menu">
													<a class="dropdown-item" href="'.PATH_HOME.'productos-upd1/'.$prod_codigo.'"><i class="fas fa-edit"></i> Modificar</a>
													<div role="separator" class="dropdown-divider"></div>
													
														<a class="dropdown-item" href="'.PATH_HOME.'productos-del1/'.$prod_codigo.'"><i class="fas fa-window-close"></i> Borrar</a>
														<div role="separator" class="dropdown-divider"></div>
														<a class="dropdown-item" href="'.PATH_HOME."productos-imprimir/".$prod_codigo.'" target="_blank"><i class="fas fa-print"></i> Imprimir QR</a>
													
														
														<!-- div role="separator" class="dropdown-divider"></div>
														<a class="dropdown-item" href="'.PATH_HOME."productos-genqr.php?id=".$prod_item.'" target="_blank"><i class="fas fa-print"></i> Generar QR</a -->
													</div>
													</td>';
												$html.='</tr>';											
												
											}//wend() 
											
											echo utf8_encode($html);
											?>													
											</tbody>
										</table>
										<div id="res"></div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		
		
	</div>
</body>
</html>
<script>
$(document).ready(function() {			
	$('#add-row').DataTable({
		"pageLength": 25,
	});
});	
$('#cmbCiudades').change(function(){
    let codegen = $(this).val();
    if(codegen == '') codegen ='ver';
    self.location="<?php echo PATH_HOME.'eventos/' ?>"+codegen;
});

function camCateg(cod,v){
	//ajax para actualizar la tabla productos
}
</script>